package com.simuwang.base.mapper.daq;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.simuwang.base.pojo.dos.ProductDerivativeDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface ProductDerivativeMapper extends BaseMapper<ProductDerivativeDO> {

    ProductDerivativeDO selectByNameAndRegisterNumber(@Param("registerNumber") String registerNumber, @Param("productName")String productName);

    ProductDerivativeDO selectByProductId(@Param("productId") Integer id);

    void deleteByProductId(@Param("productId") Integer id,@Param("userId") Integer userId);
}